Shapes in React Skeleton

The React Skeleton component supports multiple shape variants that enable you to create skeletal previews matching your content layout. Use the shape property to display placeholder loading states for different content types. Shape selection affects both visual appearance and perceived loading context, helping users understand what content is loading.

Available React Skeleton shapes

The React Skeleton component supports four shape types:

Circle

Circular shapes are ideal for avatar placeholders, profile images, or circular icon areas. Use circle React Skeleton to represent round content containers or profile photos loading.

Square

Square shapes work well for small icon placeholders, thumbnails, or uniform grid items. Square React Skeleton provide balanced proportions for compact content areas.

Rectangle

Rectangular shapes accommodate standard content areas such as images, cards, or text blocks. Rectangles are the most versatile shape for various layout patterns and content sizes.

Text

Text shapes create horizontal line placeholders representing text content or headlines. Text React Skeleton help users anticipate paragraph or heading loading, providing clear visual indication of text-based content flow.

Shape usage examples

The following example demonstrates implementing various skeleton shapes:

import { SkeletonComponent } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
import * as ReactDOM from 'react-dom';
function App() {
    return (<div>
        <div id="skeletonCard">
            <div className='cardProfile'>
                <SkeletonComponent id='cardProfile' shape='Circle' width="60px"></SkeletonComponent>
            </div>
            <div className="cardinfo">
                <SkeletonComponent id="text1" width="30%" height='15px'></SkeletonComponent><br />
                <SkeletonComponent id="text2" width="15%" height='15px'></SkeletonComponent>
            </div>
            <div className="cardContent">
                <SkeletonComponent id="cardImage" shape="Rectangle" width="100%" height='150px'></SkeletonComponent>
            </div>
            <div className="cardoptions">
                <SkeletonComponent id="rightOption" shape="Rectangle" width="20%" height='32px'></SkeletonComponent>
                <SkeletonComponent id="leftOption" shape="Rectangle" width="20%" height='32px'></SkeletonComponent>
            </div>
        </div>
      </div>);
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
import { SkeletonComponent } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
import * as ReactDOM from 'react-dom';

function App() {

    return (
      <div>
        <div id="skeletonCard">
            <div className='cardProfile'>
                <SkeletonComponent id='cardProfile' shape= 'Circle' width= "60px"></SkeletonComponent>
            </div>
            <div className="cardinfo">
                <SkeletonComponent id="text1" width="30%" height='15px'></SkeletonComponent><br/>
                <SkeletonComponent id="text2" width="15%" height='15px'></SkeletonComponent>
            </div>
            <div className="cardContent">
                <SkeletonComponent id="cardImage" shape="Rectangle" width="100%" height='150px'></SkeletonComponent>
            </div>
            <div className="cardoptions">
                <SkeletonComponent id="rightOption" shape="Rectangle" width="20%" height='32px'></SkeletonComponent>
                <SkeletonComponent id="leftOption" shape="Rectangle" width="20%" height='32px'></SkeletonComponent>
            </div>
        </div>
      </div>);
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
/* Represents the styles for loader */
#loader {
	color: #008cff;
	height: 40px;
	left: 45%;
	position: absolute;
	top: 45%;
	width: 30%;
}

#skeletonCard {
	padding: 10px;
	line-height: inherit;
	height: 330px;
}

#skeletonCard .cardProfile {
	float: left;
	margin-right: 15px;
}

#skeletonCard .cardinfo {
	margin-top: 10px;
	overflow: hidden;
}

#skeletonCard .cardContent {
	margin: 20px 0px 20px;
}

#skeletonCard .cardoptions {
	display: flex;
	justify-content: space-between;
}

Shapes in Angular Skeleton

26 Sep 20264 minutes to read

The Angular Skeleton control support various built-in shape variants to design layout of the page. You can use the shape property to create a preview of any layout.

The Angular Skeleton component supports the following content shapes:

Circle Angular Skeleton shape

import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    template: `<ejs-skeleton shape= 'Circle' width= "48px"></ejs-skeleton>`
})

export class AppComponent { }

Square Angular Skeleton shape

import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    template: `<ejs-skeleton shape= 'Square' width= "48px"></ejs-skeleton>`
})

export class AppComponent { }

Rectangle Angular Skeleton shape

import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    template: `<ejs-skeleton shape= 'Rectangle' width= "50px" height="25px"></ejs-skeleton>`
})

export class AppComponent { }

Text Angular Skeleton shape

import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    template: `<ejs-skeleton shape= 'Text' width= "50%" height="15px"></ejs-skeleton>`
})

export class AppComponent { }

Below example demonstrates the above functionalities of a Angular Skeleton component.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { SkeletonModule } from '@syncfusion/ej2-angular-notifications'




import { Component } from '@angular/core';

@Component({
imports: [
         
        SkeletonModule
    ],


standalone: true,
    selector: 'my-app',
    template: `<div id="skeletonCard">
        <div class='cardProfile'>
            <ejs-skeleton id="cardProfile" shape="Circle" width="60px"></ejs-skeleton>
        </div>
        <div class="cardinfo">
            <ejs-skeleton id="text1" width="30%" height='15px'></ejs-skeleton><br/>
            <ejs-skeleton id="text2" width="15%" height='15px'></ejs-skeleton>
        </div>
        <div class="cardContent">
            <ejs-skeleton id="cardImage" shape="Rectangle" width="100%" height='150px'></ejs-skeleton>
        </div>
        <div class="cardoptions">
            <ejs-skeleton id="rightOption" shape="Rectangle" width="20%" height='32px'></ejs-skeleton>
            <ejs-skeleton id="leftOption" shape="Rectangle" width="20%" height='32px'></ejs-skeleton>
        </div>
    </div>`
    })

export class AppComponent {}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));
/* Represents the styles for loader */
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

#skeletonCard {
  padding: 10px;
  line-height: inherit;
  height: 330px;
}

#skeletonCard .cardProfile {
  float: left;
  margin-right: 15px;
}

#skeletonCard .cardinfo {
  margin-top: 10px;
  overflow: hidden;
}

#skeletonCard .cardContent {
  margin: 20px 0px 20px;
}

#skeletonCard .cardoptions {
  display: flex;
  justify-content: space-between;
}

Shapes in Vue Skeleton

20 Aug 20268 minutes to read

The Skeleton control support various built-in shape variants to design layout of the page. You can use the shape property to create a preview of any layout.

The Skeleton component supports the following content shapes:

Circle skeleton shape

<template>
    <div>
        <ejs-skeleton shape= 'Circle' width= "48px"></ejs-skeleton>
    </div>
</template>

<script setup>
    
    import { SkeletonComponent } from "@syncfusion/ej2-vue-notifications";

    

    export default { }
</script>

<style>
    @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
    @import "../node_modules/@syncfusion/ej2-notifications/styles/material.css";
</style>

Square skeleton shape

<template>
    <div>
        <ejs-skeleton shape= 'Square' width= "48px"></ejs-skeleton>
    </div>
</template>

<script setup>
    
    import { SkeletonComponent } from "@syncfusion/ej2-vue-notifications";

    

    export default { }
</script>

<style>
    @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
    @import "../node_modules/@syncfusion/ej2-notifications/styles/material.css";
</style>

Rectangle skeleton shape

<template>
    <div>
        <ejs-skeleton shape= 'Rectangle' width= "50px"></ejs-skeleton>
    </div>
</template>

<script setup>
    
    import { SkeletonComponent } from "@syncfusion/ej2-vue-notifications";

    

    export default { }
</script>

<style>
    @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
    @import "../node_modules/@syncfusion/ej2-notifications/styles/material.css";
</style>

Text skeleton shape

<template>
    <div>
        <ejs-skeleton shape= 'Text' width= "15px"></ejs-skeleton>
    </div>
</template>

<script setup>
    
    import { SkeletonComponent } from "@syncfusion/ej2-vue-notifications";

    

    export default { }
</script>

<style>
    @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
    @import "../node_modules/@syncfusion/ej2-notifications/styles/material.css";
</style>

Below example demonstrates the above functionalities of a Skeleton component.

<template>
    <div>
        <div id="skeletonCard">
            <div class='cardProfile'>
                <ejs-skeleton id="cardProfile" shape="Circle" width="60px"></ejs-skeleton>
            </div>
            <div class="cardinfo">
                <ejs-skeleton id="text1" width="30%" height='15px'></ejs-skeleton><br/>
                <ejs-skeleton id="text2" width="15%" height='15px'></ejs-skeleton>
            </div>
            <div class="cardContent">
                <ejs-skeleton id="cardImage" shape="Rectangle" width="100%" height='150px'></ejs-skeleton>
            </div>
            <div class="cardoptions">
                <ejs-skeleton id="rightOption" shape="Rectangle" width="20%" height='32px'></ejs-skeleton>
                <ejs-skeleton id="leftOption" shape="Rectangle" width="20%" height='32px'></ejs-skeleton>
            </div>
        </div>
    </div>
</template>

<script setup>
    
import { SkeletonComponent as EjsSkeleton } from "@syncfusion/ej2-vue-notifications";

</script>

<style>
    @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
    @import "../node_modules/@syncfusion/ej2-notifications/styles/material.css";

    #skeletonCard {
      padding: 10px;
      line-height: inherit;
      height: 330px;
    }

    #skeletonCard .cardProfile {
      float: left;
      margin-right: 15px;
    }

    #skeletonCard .cardinfo {
      margin-top: 10px;
      overflow: hidden;
    }

    #skeletonCard .cardContent {
      margin: 20px 0px 20px;
    }

    #skeletonCard .cardoptions {
      display: flex;
      justify-content: space-between;
    }

</style>
<template>
    <div>
        <div id="skeletonCard">
            <div class='cardProfile'>
                <ejs-skeleton id="cardProfile" shape="Circle" width="60px"></ejs-skeleton>
            </div>
            <div class="cardinfo">
                <ejs-skeleton id="text1" width="30%" height='15px'></ejs-skeleton><br/>
                <ejs-skeleton id="text2" width="15%" height='15px'></ejs-skeleton>
            </div>
            <div class="cardContent">
                <ejs-skeleton id="cardImage" shape="Rectangle" width="100%" height='150px'></ejs-skeleton>
            </div>
            <div class="cardoptions">
                <ejs-skeleton id="rightOption" shape="Rectangle" width="20%" height='32px'></ejs-skeleton>
                <ejs-skeleton id="leftOption" shape="Rectangle" width="20%" height='32px'></ejs-skeleton>
            </div>
        </div>
    </div>
</template>

<script>
    
import { SkeletonComponent } from "@syncfusion/ej2-vue-notifications";

export default {
    name: "App",
    components: {
        "ejs-skeleton":SkeletonComponent,
    },
    data: function () {
        return {};
    }
}
</script>

<style>
    @import "../node_modules/@syncfusion/ej2-base/styles/material.css";
    @import "../node_modules/@syncfusion/ej2-notifications/styles/material.css";

    #skeletonCard {
      padding: 10px;
      line-height: inherit;
      height: 330px;
    }

    #skeletonCard .cardProfile {
      float: left;
      margin-right: 15px;
    }

    #skeletonCard .cardinfo {
      margin-top: 10px;
      overflow: hidden;
    }

    #skeletonCard .cardContent {
      margin: 20px 0px 20px;
    }

    #skeletonCard .cardoptions {
      display: flex;
      justify-content: space-between;
    }

</style>